Bug 176206 - paps segfaults when input contains multibytes characters
paps segfaults when input contains multibytes characters
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: paps (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 03:09 EST by Akira TAGOH
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.6.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-26 22:53:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2005-12-20 03:09:28 EST
Description of problem:
SSIA and the backtrace is:
Program received signal SIGSEGV, Segmentation fault.
0x00d952f4 in FT_Outline_Decompose (outline=0x8e170c4,
func_interface=0x804d660, user=0xbfd1a018)
at /usr/src/debug/freetype-2.1.10/src/base/ftoutln.c:86
86 last = outline->contours[n];
(gdb) bt
#0 0x00d952f4 in FT_Outline_Decompose
(outline=0x8e170c4, func_interface=0x804d660,
user=0xbfd1a018)
at /usr/src/debug/freetype-2.1.10/src/base/ftoutln.c:86
#1 0x0804a6d8 in draw_bezier_outline (paps=0x8b364c8,
layout_str=0x90e5060, face=0x8e1e0b0,
glyph_info=0x8e24750, pos_x=Variable "pos_x" is not
available.
)
at libpaps.c:467
#2 0x0804a873 in add_line_to_postscript
(paps=0x8b364c8, line_str=0x90e5060,
x_pos=346.03200000000004, y_pos=686.33600000000001,
line=Variable "line" is not available.
)
at libpaps.c:398
#3 0x0804a8e5 in paps_layout_line_to_postscript_strdup
(paps_=0x8b364c8, pos_x=36, pos_y=686.33600000000001,
layout_line=0x8e2fc60)
at libpaps.c:216
#4 0x0804952c in draw_line_to_page (OUT=0xd275e0,
column_idx=0, column_pos=1701888,
page_layout=0xbfd1a230, line=0x8e2fc60)
at paps.c:708
#5 0x080496c9 in output_pages (OUT=0xd275e0,
pango_lines=0x8b5d700, page_layout=0xbfd1a230) at
paps.c:466
#6 0x08049f26 in main (argc=2, argv=0xbfd1a744) at
paps.c:293
#7 0x00c1462f in __libc_start_main () from /lib/libc.so.6
#8 0x080493f1 in _start ()
(gdb) frame 1
#1 0x0804a6d8 in draw_bezier_outline (paps=0x8b364c8,
layout_str=0x90e5060, face=0x8e1e0b0,
glyph_info=0x8e24750, pos_x=Variable "pos_x" is not
available.
)
at libpaps.c:467
467 FT_Outline_Decompose
(&(((FT_OutlineGlyph)glyph)->outline),
(gdb) p glyph
$5 = 0x8e170b0
(gdb) p (FT_OutlineGlyph)glyph
$6 = (struct FT_OutlineGlyphRec_ *) 0x8e170b0
(gdb) p *(FT_OutlineGlyph)glyph
$7 = {root = {library = 0x8b39b78, clazz = 0xdf3060,
format = FT_GLYPH_FORMAT_BITMAP, advance = {x = 917504,
y = 0}}, outline = {
n_contours = 2, n_points = 0, points = 0x11, tags =
0x14 <Address 0x14 out of bounds>, contours = 0xb,
flags = 4}}

Version-Release number of selected component (if applicable):
0.6.1-1.fc5.

How reproducible:
always

Steps to Reproduce:
1.LANG=ja_JP.UTF-8 man man | paps
2.
3.
  
Actual results:
segfault

Expected results:
output PostScript without any errors.

Additional info:
Bug Tracker for upstream:
http://sourceforge.net/tracker/index.php?func=detail&aid=1385833&group_id=153049&atid=786239
Comment 1 Akira TAGOH 2005-12-26 22:53:56 EST
Fixed in 0.6.2-1.

Note You need to log in before you can comment on or make changes to this bug.